#ifndef lcd_
#define lcd_


#include <stdint.h>

//  ,     
//   
#define LCD_DATA ((uint32_t)0x60020000)
//   
#define LCD_REG ((uint32_t)0x60000000)

#define USE_HORIZONTAL 0

#define LCD_W 480
#define LCD_H 800

#define WHITE       0xFFFF
#define BLACK      	0x0000
#define BLUE       	0x001F
#define BRED        0XF81F
#define GRED 		0XFFE0
#define GBLUE		0X07FF
#define RED         0xF800
#define MAGENTA     0xF81F
#define GREEN       0x07E0
#define CYAN        0x7FFF
#define YELLOW      0xFFE0
#define BROWN 		0XBC40
#define BRRED 		0XFC07
#define GRAY  		0X8430





void initLCD();
void LCD_WR_DATA(unsigned int data);
void LCD_WR_REG(unsigned int reg);
void LCD_WriteReg(unsigned int reg,unsigned int value);


void LCD_Clear(unsigned int Color);

#endif /* PLATFORM_H_ */
